# Class NewArenaEvent

Container class for `BattleSceneEventType.NEW_ARENA` events

#### Hierarchy

- Event
  - NewArenaEvent

- Defined in src/battle-scene-events.ts:128

#####
Index

### Constructors

constructor

### Properties

AT_TARGET
BUBBLING_PHASE
CAPTURING_PHASE
NONE
bubbles
cancelBubble
cancelable
composed
currentTarget
defaultPrevented
eventPhase
isTrusted
returnValue
srcElement
target
timeStamp
type
AT_TARGET
BUBBLING_PHASE
CAPTURING_PHASE
NONE

### Methods

composedPath
initEvent
preventDefault
stopImmediatePropagation
stopPropagation

## Constructors

### constructor

- new NewArenaEvent(): NewArenaEvent

- #### Returns NewArenaEvent

  Overrides Event.constructor

  - Defined in src/battle-scene-events.ts:129

## Properties

### `Readonly` AT_TARGET

AT_TARGET: 2

Inherited from Event.AT_TARGET

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8145

### `Readonly` BUBBLING_PHASE

BUBBLING_PHASE: 3

Inherited from Event.BUBBLING_PHASE

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8146

### `Readonly` CAPTURING_PHASE

CAPTURING_PHASE: 1

Inherited from Event.CAPTURING_PHASE

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8144

### `Readonly` NONE

NONE: 0

Inherited from Event.NONE

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8143

### `Readonly` bubbles

bubbles: boolean

Returns true or false depending on how event was initialized. True if event goes through its target's ancestors in reverse tree order, and false otherwise.

MDN Reference

Inherited from Event.bubbles

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8040

### cancelBubble

cancelBubble: boolean

#### Deprecated

MDN Reference

Inherited from Event.cancelBubble

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8046

### `Readonly` cancelable

cancelable: boolean

Returns true or false depending on how event was initialized. Its return value does not always carry meaning, but true can indicate that part of the operation during which event was dispatched, can be canceled by invoking the preventDefault() method.

MDN Reference

Inherited from Event.cancelable

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8052

### `Readonly` composed

composed: boolean

Returns true or false depending on how event was initialized. True if event invokes listeners past a ShadowRoot node that is the root of its target, and false otherwise.

MDN Reference

Inherited from Event.composed

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8058

### `Readonly` currentTarget

currentTarget: EventTarget

Returns the object whose event listener's callback is currently being invoked.

MDN Reference

Inherited from Event.currentTarget

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8064

### `Readonly` defaultPrevented

defaultPrevented: boolean

Returns true if preventDefault() was invoked successfully to indicate cancelation, and false otherwise.

MDN Reference

Inherited from Event.defaultPrevented

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8070

### `Readonly` eventPhase

eventPhase: number

Returns the event's phase, which is one of NONE, CAPTURING_PHASE, AT_TARGET, and BUBBLING_PHASE.

MDN Reference

Inherited from Event.eventPhase

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8076

### `Readonly` isTrusted

isTrusted: boolean

Returns true if event was dispatched by the user agent, and false otherwise.

MDN Reference

Inherited from Event.isTrusted

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8082

### returnValue

returnValue: boolean

#### Deprecated

MDN Reference

Inherited from Event.returnValue

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8088

### `Readonly` srcElement

srcElement: EventTarget

#### Deprecated

MDN Reference

Inherited from Event.srcElement

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8094

### `Readonly` target

target: EventTarget

Returns the object to which event is dispatched (its target).

MDN Reference

Inherited from Event.target

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8100

### `Readonly` timeStamp

timeStamp: number

Returns the event's timestamp as the number of milliseconds measured relative to the time origin.

MDN Reference

Inherited from Event.timeStamp

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8106

### `Readonly` type

type: string

Returns the type of event, e.g. "click", "hashchange", or "submit".

MDN Reference

Inherited from Event.type

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8112

### `Static` `Readonly` AT_TARGET

AT_TARGET: 2

Inherited from Event.AT_TARGET

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8154

### `Static` `Readonly` BUBBLING_PHASE

BUBBLING_PHASE: 3

Inherited from Event.BUBBLING_PHASE

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8155

### `Static` `Readonly` CAPTURING_PHASE

CAPTURING_PHASE: 1

Inherited from Event.CAPTURING_PHASE

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8153

### `Static` `Readonly` NONE

NONE: 0

Inherited from Event.NONE

- Defined in node_modules/typescript/lib/lib.dom.d.ts:8152

## Methods

### composedPath

- composedPath(): EventTarget[]

- Returns the invocation target objects of event's path (objects on which listeners will be invoked), except for any nodes in shadow trees of which the shadow root's mode is "closed" that are not reachable from event's currentTarget.

  MDN Reference

  #### Returns EventTarget[]

  Inherited from Event.composedPath

  - Defined in node_modules/typescript/lib/lib.dom.d.ts:8118

### initEvent

- initEvent(type, bubbles?, cancelable?): void

- #### Parameters

  - type: string
  - `Optional` bubbles: boolean
  - `Optional` cancelable: boolean

  #### Returns void

  #### Deprecated

  MDN Reference

  Inherited from Event.initEvent

  - Defined in node_modules/typescript/lib/lib.dom.d.ts:8124

### preventDefault

- preventDefault(): void

- If invoked when the cancelable attribute value is true, and while executing a listener for the event with passive set to false, signals to the operation that caused event to be dispatched that it needs to be canceled.

  MDN Reference

  #### Returns void

  Inherited from Event.preventDefault

  - Defined in node_modules/typescript/lib/lib.dom.d.ts:8130

### stopImmediatePropagation

- stopImmediatePropagation(): void

- Invoking this method prevents event from reaching any registered event listeners after the current one finishes running and, when dispatched in a tree, also prevents event from reaching any other objects.

  MDN Reference

  #### Returns void

  Inherited from Event.stopImmediatePropagation

  - Defined in node_modules/typescript/lib/lib.dom.d.ts:8136

### stopPropagation

- stopPropagation(): void

- When dispatched in a tree, invoking this method prevents event from reaching any objects other than the current object.

  MDN Reference

  #### Returns void

  Inherited from Event.stopPropagation

  - Defined in node_modules/typescript/lib/lib.dom.d.ts:8142